Screen dim is not following the lock screen timeout (always dimming after 50 seconds)

Bug #1437510 reported by Ricardo Salveti on 2015-03-27
80
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Bill Filler
Unity System Compositor
Medium
Unassigned
ubuntu-system-settings (Ubuntu)
Medium
Ken VanDine
Vivid
Medium
Jonas G. Drange
unity-system-compositor (Ubuntu)
Medium
Unassigned
unity-system-compositor (Ubuntu RTM)
Medium
Unassigned

Bug Description

current build number: 258
device name: krillin
channel: ubuntu-touch/ubuntu-rtm/14.09-proposed
last update: 2015-03-26 16:39:52
version version: 258
version ubuntu: 20150326
version device: 20150310-3201c0a
version custom: 20150216-561-29-186

Go to system settings, security, lock when idle, and change to any value higher than 1 minute. Now wait and you will see that the screen will dim after 50 seconds, no matter what value you set.

The screen should only dim 10 seconds before reaching the screen lock value.

Tags: bq Edit Tag help

Related branches

tags: added: bq
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-system-compositor (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

somewhat related to bug #1420493

Changed in canonical-devices-system-image:
status: New → Confirmed
Changed in unity-system-compositor (Ubuntu RTM):
status: New → Confirmed
Alexandros Frantzis (afrantzis) wrote :

USC implements the com.canonical.Unity.Screen.setInactivityTimeouts(poweroff_timeout, dim_timeout) interface. It's up to the components calling this interface to implement the policy by properly setting both timeouts.

Changed in unity-system-compositor (Ubuntu):
status: Confirmed → Invalid
Changed in unity-system-compositor (Ubuntu RTM):
status: Confirmed → Invalid
Changed in ubuntu-system-settings (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in canonical-devices-system-image:
importance: Undecided → Medium
assignee: nobody → Bill Filler (bfiller)
Changed in canonical-devices-system-image:
importance: Medium → High
Changed in canonical-devices-system-image:
milestone: none → ww17-2015
Changed in ubuntu-system-settings (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Ken VanDine (ken-vandine)
Ken VanDine (ken-vandine) wrote :

As I understand it, dim-timeout is expected to be relative to activity-timeout. I have a branch for ubuntu-system-settings that changes dim-timeout whenever the activity-timeout gsetting value changes. This feels like a work around for broken logic. If we don't want to set dim-timeout separately, and remain relative to activity-timeout, we should drop the setting completely and ubuntu-system-compositor should dim the screen on activity-timeout - 10.

Changed in unity-system-compositor (Ubuntu):
status: Invalid → New
Changed in unity-system-compositor (Ubuntu RTM):
status: Invalid → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-system-compositor (Ubuntu):
status: New → Confirmed
Changed in canonical-devices-system-image:
milestone: ww17-2015 → ww21-2015
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+15.10.20150527-0ubuntu1

---------------
ubuntu-system-settings (0.3+15.10.20150527-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Iain Lane ]
  * Improve filtering in main page and timezone filters. (LP: #1454186,
    #1446086)

  [ Ken VanDine ]
  * Ensure dim-timeout is 10 seconds less than activity-timeout (LP:
    #1437510)
  * debian/control: bumped depends on ubuntu-keyboard-data to >=
    0.99.trunk.phablet2+15.04.20150421 to get gsettings schema changes
    (LP: #1454230)
  * expose deviceName to QML

  [ Lukáš Tinkl ]
  * compare the language and kbd layout names in a locale-aware manner

  [ Sebastien Bacher ]
  * Translate push_helper expected strings to avoid failure in non C
    locales (LP: #1456941)
  * [battery] use the correct height value for the first point of the
    graph, that fixes the initial point often starting to high and the
    curve starting with an almost vertical line (LP: #1439122)
  * [language] update auto punctuation description to match the osk
    behaviour (LP: #1385288)
  * [security-privacy] remove obsolete dash search option (LP: #1422700)

  [ jonas-drange ]
  * New icon as per lp:1457424 (LP: #1457424)

 -- CI Train Bot <email address hidden> Wed, 27 May 2015 09:23:37 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
milestone: ww21-2015 → ww24-2015
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-system-settings (Ubuntu Vivid):
status: New → Confirmed
Changed in unity-system-compositor (Ubuntu):
status: Confirmed → Invalid
Changed in unity-system-compositor (Ubuntu RTM):
status: New → Invalid
Changed in ubuntu-system-settings (Ubuntu Vivid):
status: Confirmed → Fix Committed
assignee: nobody → Jonas G. Drange (jonas-drange)
importance: Undecided → Medium
Ken VanDine (ken-vandine) wrote :

I still think this should be properly fixed in unity-system-compositor

Changed in unity-system-compositor (Ubuntu):
status: Invalid → New
Oliver Grawert (ogra) wrote :

this is still not properly fixed, can we eventually get a fix inside u-s-c please ...

a) if you dont switch the time (i.e. before the OTA with the fix you have set your lock timeout to 10min) it will use 50sec hardocded after OTA
b) if you set your device to "never" where you likely want to use the GPS while driving, the dim value defaults to 50sec which most likely can even risk your life while tapping madly on teh screen to see where you are going with your GPS ...

Changed in unity-system-compositor (Ubuntu):
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

Confirmed _not_fixed_. The bug still occurs in wily touch images:

ii ubuntu-system-settings 0.3+15.10.20150703-0ubuntu1 armhf System Settings application for Ubuntu Touch

$ system-image-cli -i
current build number: 246
device name: mako
channel: ubuntu-touch/devel-proposed/ubuntu
last update: 2015-07-06 02:59:41
version version: 246
version ubuntu: 20150705
version device: 20150529.1
version custom: 20150705

Changed in unity-system-compositor:
importance: Undecided → High
status: New → Confirmed
Changed in unity-system-compositor (Ubuntu):
status: New → Confirmed
Changed in unity-system-compositor (Ubuntu RTM):
status: Invalid → Confirmed
importance: Undecided → High
importance: High → Medium
Changed in unity-system-compositor (Ubuntu):
importance: High → Medium
Changed in unity-system-compositor:
importance: High → Medium
Changed in canonical-devices-system-image:
milestone: ww24-2015 → ww28-2015

@ken-vandine
> If we don't want to set dim-timeout separately, and remain relative to activity-timeout,
> we should drop the setting completely and ubuntu-system-compositor should dim the
> screen on activity-timeout - 10
@ogra
> this is still not properly fixed, can we eventually get a fix inside u-s-c please ...

USC was designed to offer a setInactivityTimeouts(poweroff, dim) interface for maximum flexibility, and also so that it could provide only mechanism, not enforce policy. We believe USC shouldn't hardcode policy like "dim timeout is 10 seconds before power-off timeout". Perhaps there needs to be a central place to handle power management policy, but USC shouldn't be it.

This debate is yet another effect of this bug: https://bugs.launchpad.net/unity-system-compositor/+bug/1444042.

> a) if you dont switch the time (i.e. before the OTA with the fix you have set your lock timeout to 10min)
> it will use 50sec hardocded after OTA

I don't understand this statement, which probably means I missing some background info here...

> b) if you set your device to "never" where you likely want to use the GPS while driving, the dim value
> defaults to 50sec which most likely can even risk your life while tapping madly on teh screen to see where
> you are going with your GPS ...

From a quick look at the requests that USC receives when changing the lock timeout from the UI, this seems to be an effect of the code that sets the timeouts in ubuntu-system-settings. In particular, when selecting "Never" in the UI, USC receives (-1 means don't change):

set_inactivity_timeouts(0, -1) // set power-off timeout to 0s (disable)
set_inactivity_timeouts(-1, 50) // set dim timeout to 50s

i.e.. we get an explicit request to set the dim timeout to 50 seconds, whereas we should get a request to disable it (set it to 0).

costales (costales) wrote :

Hi! This bug persist after update to OTA5. Best regards.

Pat McGowan (pat-mcgowan) wrote :

@costales
I see it working here as described, set the timeout to 2 mins and the screen dims after 1 min 50 secs
Can you add more info perhaps?

For 2' works.
If you set it to Never (I set it like that for driving) is not working,
after 50" the brightness is lost.
Best regards.

Pat McGowan (pat-mcgowan) wrote :

Thanks I opened bug #1476372 to cover that case

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers